{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-63.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Clone-0.46-7.fc41",
        "store-results-to": "/tmp/tmph96u1i9x/perl-Clone-0.46-7.fc41.tar.xz",
        "time-created": "2024-07-03 16:37:53",
        "time-finished": "2024-07-03 16:38:43",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmph96u1i9x/perl-Clone-0.46-7.fc41.tar.xz' '--gcc-analyze' '/tmp/tmph96u1i9x/perl-Clone-0.46-7.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "2fe0df856c16d5a61dc4eb14b9525eed5a34532c",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘av_clone’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 67,
                    "column": 7,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable ‘val’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   67 |   SV *val = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   65|     AV *self = (AV *) ref;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   66|     SV **svp;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   67|->   SV *val = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68|     I32 arrlen = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69|     int i = 0;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "213e331717f189e175b3e1e3fe472b82fb9bce5d",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘rv_clone’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 99,
                    "column": 7,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable ‘rv’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   99 |   SV *rv = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   97|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   98|     SV *clone = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   99|->   SV *rv = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  100|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101|     assert(SvROK(ref));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 563,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "dd8595100ec8b5fec70d478ec92d6fda3c61d73a",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘sv_clone’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 277,
                    "column": 15,
                    "event": "warning[-Wunused-variable]",
                    "message": "unused variable ‘vtable’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  277 |       MGVTBL *vtable = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  275|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  276|         MAGIC* mg;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  277|->       MGVTBL *vtable = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  278|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  279|         for (mg = SvMAGIC(ref); mg; mg = mg->mg_moremagic) ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 1164,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "c395b71e1a78adbad4f9fe8b042fc8b2ac8f5aee",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "At top level",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 96,
                    "column": 1,
                    "event": "warning[-Wunused-function]",
                    "message": "‘rv_clone’ defined but not used",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | rv_clone (SV * ref, HV* hseen, int depth)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      | ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   94|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   95|   static SV *",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96|-> rv_clone (SV * ref, HV* hseen, int depth)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   97|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   98|     SV *clone = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "20d33b6b94bd9f4f4cb3013a15ded5a50fdf687e",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 384,
                    "column": 6,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'clone' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.xs",
                    "line": 384,
                    "column": 6,
                    "event": "note",
                    "message": "Value stored to 'clone' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  382|   \tint depth",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  383|   \tPREINIT:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  384|-> \tSV *clone = &PL_sv_undef;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  385|           HV *hseen = newHV();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  386|   \tPPCODE:",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Clone-0.46-build/Clone-0.46/Clone.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
